package com.gyee.frame.service.websocket;


import com.gyee.frame.common.spring.Constant;
import com.gyee.frame.common.websocket.WebSocketConfig;
import com.gyee.frame.common.websocket.WebsocketMessageService;
import com.gyee.frame.model.auto.WindTurbineTestingPointAi;
import com.gyee.frame.model.custom.PointData;
import com.gyee.frame.service.WindTurbineTestingPointAiService;
import com.gyee.frame.util.IRealTimeDataBaseUtil;
import com.gyee.frame.util.RealTimeDataBaseFactory;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.*;
import java.util.concurrent.CopyOnWriteArraySet;

@Service
public class BraceletService  {

    @Resource
    private WebsocketMessageService websocketMessageService;
    @Resource
    private WindTurbineTestingPointAiService windTurbineTestingPointAiService;
    IRealTimeDataBaseUtil realApiUtil = RealTimeDataBaseFactory.createRealTimeDataBase();

    public void braceletPushTask(String destination) throws Exception {


        List<String> pointids=new ArrayList<>();
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0002");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0133");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0009");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0012");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0013");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0001");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0014");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0130");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0131");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0132");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0133");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0134");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0135");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0009");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0011");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0003");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0005");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0013");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0001");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0007");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0165");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0169");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0167");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0173");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0163");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0161");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0171");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0175");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0325");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0321");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0323");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0076");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0077");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0073");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0562");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0080");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0146");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0149");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0147");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0150");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0148");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0151");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0971");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0976");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1035");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1040");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1163");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1168");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1227");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1232");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1355");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1360");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0329");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0332");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0333");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0361");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0364");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0365");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0313");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0316");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0317");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0281");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0284");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0285");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0265");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0268");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0002");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0133");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0009");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0012");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0013");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0001");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0014");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0130");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0131");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0132");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0133");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0134");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0135");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0009");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0011");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0003");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0005");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0013");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0001");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0007");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0165");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0169");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0167");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0173");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0163");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0161");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0171");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0175");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0325");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0321");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0323");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0076");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0077");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0073");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0562");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0080");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0146");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0149");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0147");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0150");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0148");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0151");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0971");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0976");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1035");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1040");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1163");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1168");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1227");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1232");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1355");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1360");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0329");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0332");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0333");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0361");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0364");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0365");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0313");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0316");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0317");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0281");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0284");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0285");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0265");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0268");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0269");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2310");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1358");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1230");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1166");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1038");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0974");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0292");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1678");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1486");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1614");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1678");
        pointids.add("SBQXLDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2310");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2544");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2608");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2672");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3046");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3280");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3344");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3408");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI3472");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0034");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0037");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0041");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0044");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0045");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0033");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0046");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0108");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0109");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0105");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0563");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0441");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0444");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0445");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0425");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0428");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0429");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0393");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0396");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0397");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0377");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0380");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0381");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0588");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0589");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0585");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0564");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0578");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0579");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0580");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0581");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0582");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0583");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0665");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0668");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0669");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0633");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0636");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0637");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0649");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0652");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_AI0653");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0085");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0083");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0087");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0081");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0091");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0089");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0093");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0145");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0243");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0241");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0249");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0247");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0251");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0253");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0255");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1670");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1678");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1478");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1414");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1680");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1616");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1488");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI1424");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI0515");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2263");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2261");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2259");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2267");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2265");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2269");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2273");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2697");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2633");
        pointids.add("SBQNWDQ.NX_GD_SBQF_DQ_P1_L1_001_DI2569");

        List<PointData> ls= realApiUtil.getRealData(pointids);

        websocketMessageService.SendAlertToAll(destination,ls);
//        websocketMessageService.SendAlertToAll(destination,"testy");
    }
    public void testPoints(String destination) throws Exception {


        Set<Map.Entry<String, CopyOnWriteArraySet<String>>> set = WebSocketConfig.websocketparamcacheMap.entrySet();
        for (Iterator<Map.Entry<String, CopyOnWriteArraySet<String>>> it = set.iterator(); it.hasNext();) {
            Map.Entry<String, CopyOnWriteArraySet<String>> entry = (Map.Entry<String, CopyOnWriteArraySet<String>>) it.next();
           // System.out.println(entry.getKey() + "--->" + entry.getValue());
            if(entry.getKey().indexOf(destination)!=-1)
            {
                String wtId=entry.getKey().substring(entry.getKey().indexOf(WebSocketConfig.PARAM)+6);
                List<String> pointids=new ArrayList<>();

                WindTurbineTestingPointAi sjgl = windTurbineTestingPointAiService.getWindTurbineTestingPointAi2(wtId, Constant.TPOINT_WT_FJGL);
                WindTurbineTestingPointAi bzgl = windTurbineTestingPointAiService.getWindTurbineTestingPointAi2(wtId,Constant.TPOINT_WT_YFGL);
                WindTurbineTestingPointAi pjfs = windTurbineTestingPointAiService.getWindTurbineTestingPointAi2(wtId,Constant.TPOINT_WT_FJSSFS);
                pointids.add(sjgl.getId());
                pointids.add(bzgl.getId());
                pointids.add(pjfs.getId());
                List<PointData> ls= realApiUtil.getRealData(pointids);

                websocketMessageService.SendAlertToAll(entry.getKey(),ls);
            }
        }


//        websocketMessageService.SendAlertToAll(destination,"testy");
    }
}


